diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index b4a1141..fb82161 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -447,8 +447,13 @@
           name = attrArr.shift(),
           path = attrArr.join('.'),
           rawValue = this.keyPathAccessor(attributes[name], path),
-          options =  _.defaults({}, this.field.get('options'), this.defaults.options,
-                        $.fn.bootstrapSwitch.defaults);
+          evalF = function(f, m) {
+            return (_.isFunction(f) ? !!f(m) : !!f);
+            },
+          options =  _.defaults({
+              disabled: evalF(field.disabled, this.model)
+            }, this.field.get('options'), this.defaults.options,
+            $.fn.bootstrapSwitch.defaults);
 
       Backform.InputControl.prototype.render.apply(this, arguments);
       this.$input = this.$el.find("input[type=checkbox]").first();
